package hangman;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

public class GameTest {
    
    public GameTest() {
    }
    
    @BeforeClass
    public static void setUpClass() {
    }
    
    @AfterClass
    public static void tearDownClass() {
    }
    
    @Before
    public void setUp() {
    }
    
    @After
    public void tearDown() {
    }

    /**
     * Test of getWord method, of class Game.
     */
    @Test
    public void testGetWord() {
        System.out.println("getWord");
        Game instance = null;
        String expResult = "";
        String result = instance.getWord();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of getRemainingGuesses method, of class Game.
     */
    @Test
    public void testGetRemainingGuesses() {
        System.out.println("getRemainingGuesses");
        Game instance = null;
        int expResult = 0;
        int result = instance.getRemainingGuesses();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of getDisplay method, of class Game.
     */
    @Test
    public void testGetDisplay() {
        System.out.println("getDisplay");
        Game instance = null;
        String expResult = "";
        String result = instance.getDisplay();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of processGuess method, of class Game.
     */
    @Test
    public void testProcessGuess() {
        System.out.println("processGuess");
        char c = ' ';
        Game instance = null;
        int expResult = 0;
        int result = instance.processGuess(c);
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

    /**
     * Test of doHint method, of class Game.
     */
    @Test
    public void testDoHint() {
        System.out.println("doHint");
        Game instance = null;
        int expResult = 0;
        int result = instance.doHint();
        assertEquals(expResult, result);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }
    
}
